# Uses of Class
ch.qos.logback.core.pattern.parser.Node

Packages that use Node
Package
Description
ch.qos.logback.core.pattern.parser

## Uses of Node in ch.qos.logback.core.pattern.parser

Subclasses of Node in ch.qos.logback.core.pattern.parser
Modifier and Type
Class
Description
`class`
`CompositeNode`
`class`
`FormattingNode`
`class`
`SimpleKeywordNode`
Methods in ch.qos.logback.core.pattern.parser that return Node
Modifier and Type
Method
Description
`Node`
CompositeNode.`getChildNode()`
`Node`
Node.`getNext()`
`Node`
Parser.`parse()`
Methods in ch.qos.logback.core.pattern.parser with parameters of type Node
Modifier and Type
Method
Description
`Converter<E>`
Parser.`compile(Node top, Map converterMap)`
When the parsing step is done, the Node list can be transformed into a converter chain.
`void`
CompositeNode.`setChildNode(Node childNode)`
`void`
Node.`setNext(Node next)`